Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface WTCResourcesMBean

public interface WTCResourcesMBean
extends ConfigurationMBean

This interface provides access to the WTC resources configuration attributes. The methods defined herein are applicable for WTC configuration at the WLS domain level.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getAppPassword()` Gets the appPassword attribute of the WTCResourcesMBean object
`java.lang.String` | `getAppPasswordIV()` Gets the appPasswordIV attribute of the WTCResourcesMBean object
`java.lang.String[]` | `getFldTbl16Classes()` Gets the fldTbl16Classes attribute of the WTCResourcesMBean object
`java.lang.String[]` | `getFldTbl32Classes()` Gets the fldTbl32Classes attribute of the WTCResourcesMBean object
`java.lang.String` | `getTpUsrFile()` Gets the tpUsrFile attribute of the WTCResourcesMBean object
`java.lang.String[]` | `getViewTbl16Classes()` Gets the viewTbl16Classes attribute of the WTCResourcesMBean object
`java.lang.String[]` | `getViewTbl32Classes()` Gets the viewTbl32Classes attribute of the WTCResourcesMBean object
`void` | `setAppPassword(java.lang.String appPasswd)` Defines the application password as returned from the `genpasswd` utility.
`void` | `setAppPasswordIV(java.lang.String appIV)` Defines the initialization vector used to encrypt the AppPassword.
`void` | `setFldTbl16Classes(java.lang.String[] fieldTable16Classes)` Defines the names of FldTbl16Classes which are loaded via a class loader and added to a FldTbl array.
`void` | `setFldTbl32Classes(java.lang.String[] fieldTable32Classes)` Defines the names of FldTbl32Classes which are loaded via a class loader and added to a FldTbl array.
`void` | `setTpUsrFile(java.lang.String TpUsrFile)` Defines the full path to TPUSR file containing Tuxedo UID/GID information.
`void` | `setViewTbl16Classes(java.lang.String[] viewTable16Classes)` Defines the names of ViewTbl16Classes which are loaded via a class loader and added to a ViewTbl array.
`void` | `setViewTbl32Classes(java.lang.String[] viewTable32Classes)` Defines the names of ViewTbl32Classes which are loaded via a class loader and added to a ViewTbl array.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### setFldTbl16Classes

    public void setFldTbl16Classes(java.lang.String[] fieldTable16Classes)
                            throws javax.management.InvalidAttributeValueException

  Defines the names of FldTbl16Classes which are loaded via a class loader and added to a FldTbl array.

  - Used fully qualified names of the desired classes.
  - Use a comma-separated list to enter multiple classes.

  A dynamic MBean attribute
  Parameters:
    `fieldTable16Classes` - The new fldTbl16Classes value
  Throws:
    javax.management.InvalidAttributeValueException -

### getFldTbl16Classes

    public java.lang.String[] getFldTbl16Classes()

  Gets the fldTbl16Classes attribute of the WTCResourcesMBean object

  A dynamic MBean attribute
  Returns:
    The fldTbl16Classes value

### setFldTbl32Classes

    public void setFldTbl32Classes(java.lang.String[] fieldTable32Classes)
                            throws javax.management.InvalidAttributeValueException

  Defines the names of FldTbl32Classes which are loaded via a class loader and added to a FldTbl array.

  - Used fully qualified names of the desired classes.
  - Use a comma-separated list to enter multiple classes.

  A dynamic MBean attribute
  Parameters:
    `fieldTable32Classes` - The new fldTbl32Classes value
  Throws:
    javax.management.InvalidAttributeValueException -

### getFldTbl32Classes

    public java.lang.String[] getFldTbl32Classes()

  Gets the fldTbl32Classes attribute of the WTCResourcesMBean object

  A dynamic MBean attribute
  Returns:
    The fldTbl32Classes value

### setViewTbl16Classes

    public void setViewTbl16Classes(java.lang.String[] viewTable16Classes)
                             throws javax.management.InvalidAttributeValueException

  Defines the names of ViewTbl16Classes which are loaded via a class loader and added to a ViewTbl array.

  - Used fully qualified names of the desired classes.
  - Use a comma-separated list to enter multiple classes.

  A dynamic MBean attribute
  Parameters:
    `viewTable16Classes` - The new viewTbl16Classes value
  Throws:
    javax.management.InvalidAttributeValueException -

### getViewTbl16Classes

    public java.lang.String[] getViewTbl16Classes()

  Gets the viewTbl16Classes attribute of the WTCResourcesMBean object

  A dynamic MBean attribute
  Returns:
    The viewTbl16Classes value

### setViewTbl32Classes

    public void setViewTbl32Classes(java.lang.String[] viewTable32Classes)
                             throws javax.management.InvalidAttributeValueException

  Defines the names of ViewTbl32Classes which are loaded via a class loader and added to a ViewTbl array.

  - Used fully qualified names of the desired classes.
  - Use a comma-separated list to enter multiple classes.

  A dynamic MBean attribute
  Parameters:
    `viewTable32Classes` - The new viewTbl32Classes value
  Throws:
    javax.management.InvalidAttributeValueException -

### getViewTbl32Classes

    public java.lang.String[] getViewTbl32Classes()

  Gets the viewTbl32Classes attribute of the WTCResourcesMBean object

  A dynamic MBean attribute
  Returns:
    The viewTbl32Classes value

### setAppPassword

    public void setAppPassword(java.lang.String appPasswd)
                        throws javax.management.InvalidAttributeValueException

  Defines the application password as returned from the `genpasswd` utility. This Tuxedo application password is the encrypted password used to authenticate connections.

  A dynamic MBean attribute
  Parameters:
    `appPasswd` - The new appPassword value
  Throws:
    javax.management.InvalidAttributeValueException -

### getAppPassword

    public java.lang.String getAppPassword()

  Gets the appPassword attribute of the WTCResourcesMBean object

  A dynamic MBean attribute
  Returns:
    The appPassword value

### setAppPasswordIV

    public void setAppPasswordIV(java.lang.String appIV)
                          throws javax.management.InvalidAttributeValueException

  Defines the initialization vector used to encrypt the AppPassword. It is returned from the `genpasswd` utility with the AppPassword.

  A dynamic MBean attribute
  Parameters:
    `appIV` - The new appPasswordIV value
  Throws:
    javax.management.InvalidAttributeValueException -

### getAppPasswordIV

    public java.lang.String getAppPasswordIV()

  Gets the appPasswordIV attribute of the WTCResourcesMBean object

  A dynamic MBean attribute
  Returns:
    The appPasswordIV value

### setTpUsrFile

    public void setTpUsrFile(java.lang.String TpUsrFile)
                      throws javax.management.InvalidAttributeValueException

  Defines the full path to TPUSR file containing Tuxedo UID/GID information. This file is generated by the Tuxedo `tpusradd` utility on the remote Tuxedo domain.

  A dynamic MBean attribute
  Parameters:
    `TpUsrFile` - the TPUSR file for this remote domain
  Throws:
    javax.management.InvalidAttributeValueException -

### getTpUsrFile

    public java.lang.String getTpUsrFile()

  Gets the tpUsrFile attribute of the WTCResourcesMBean object

  A dynamic MBean attribute
  Returns:
    The tpUsrFile value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD